<?php

namespace Saswp\DTOs\Response;

class PropertyConfigurationDTO
{
    public readonly int $id;
    public readonly string $hour_check_in;
    public readonly string $hour_check_out;

    public function __construct(array $_data)
    {
        $this->id  = isset($_data['id']) ?$_data['id']:0;
        $this->hour_check_in  = isset($_data['hour_check_in']) ?$_data['hour_check_in']:'';
        $this->hour_check_out  = isset($_data['hour_check_out']) ?$_data['hour_check_out']:'';
    }

    public function toArray(): array
    {
        return (array)$this;
    }
    
}
